package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapThtFisikTelinga;
import com.jasamedika.medifirst2000.vo.PapThtFisikTelingaVO;

/**
 * Converter class between PAPThtFisikTelinga and PAPThtFisikTelingaVO
 * 
 * @author Askur
 */
@Component
public class PapThtFisikTelingaConverter implements BaseVoConverter<PapThtFisikTelingaVO, PapThtFisikTelinga> {
	

	public PapThtFisikTelinga transferVOToModel(PapThtFisikTelingaVO vo, PapThtFisikTelinga model) {
		if (null == model)
			model = new PapThtFisikTelinga();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapThtFisikTelinga.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapThtFisikTelingaVO> transferListOfModelToListOfVO(List<PapThtFisikTelinga> models,
			List<PapThtFisikTelingaVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapThtFisikTelingaVO>();

		if (null == models)
			return vos;

		for (PapThtFisikTelinga PapThtFisikTelinga : models) {
			PapThtFisikTelingaVO vo = new PapThtFisikTelingaVO();
			vo = transferModelToVO(PapThtFisikTelinga, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapThtFisikTelingaVO transferModelToVO(PapThtFisikTelinga model, PapThtFisikTelingaVO vo) {

		if (null == vo)
			vo = new PapThtFisikTelingaVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapThtFisikTelingaVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
